[package]
name = "tex-fmt"
version = "0.5.6"
authors = ["William George Underwood"]
license = "MIT"
repository = "https://github.com/WGUNDERWOOD/tex-fmt"
edition = "2021"
description = "LaTeX formatter written in Rust"
keywords = ["latex", "formatter"]
categories = ["command-line-utilities", "development-tools"]
exclude = [
    "tests/*",
    "extra/*",
    "*.nix",
    "flake.lock",
    "justfile",
    ".github/*",
    "completion/*",
    "man/*",
    "notes.org",
]

[features]
shellinstall = []
wasm = ["dep:js-sys", "dep:wasm-bindgen"]

[dependencies]
clap = { version = "4.5.48", features = ["cargo"] }
clap_complete = "4.5.58"
clap_mangen = "0.2.29"
colored = "2.2.0"
dirs = "5.0.1"
env_logger = "0.11.8"
ignore = "0.4.23"
js-sys = { version = "0.3.77", optional = true }
log = "0.4.28"
merge = "0.2.0"
regex = "1.11.3"
similar = "2.7.0"
toml = "0.8.23"
wasm-bindgen = { version = "0.2.100", optional = true }
web-time = "1.1.0"

[build-dependencies]
clap = { version = "4.5.48", features = ["cargo"] }
clap_complete = "4.5.58"
clap_mangen = "0.2.29"

[profile.release]
codegen-units = 1

[lib]
name = "tex_fmt"
path = "src/lib.rs"
crate-type = ["cdylib", "rlib"]

[[bin]]
name = "tex-fmt"
path = "src/bin.rs"
